id: searxng-detect

info:
  name: SearXNG - Detect
  author: rxerium
  severity: info
  description: |
    A SearXNG search engine was detected.
  reference:
    - https://github.com/searxng/searxng
  metadata:
    max-request: 1
    verified: true
    shodan-query: http.title:SearXNG
  tags: searxng,search-engine,tech

http:
  - method: GET
    path:
      - "{{BaseURL}}"

    matchers-condition: and
    matchers:
      - type: word
        part: body
        words:
          - "<title>SearXNG</title>"

      - type: status
        status:
          - 200
# digest: 4a0a0047304502200e9f4c55aaaa0f3284d07fe829efe2da472cbe559cede4ef839824657e6cdf23022100f3b0a8bf28b77598cf4bb4d3a9e82d913a8dac65f63bea11ceba3914a1161125:922c64590222798bb761d5b6d8e72950